.container {
  height: 100vh;
  width: 100vw;
}
.Rain, .Clear, .Snow, .Clouds, .Extreme, .Haze, .Mist, .Sand, .Default {
  height: 100%;
  width: 100%;
  padding: 4rem 10rem;
  backdrop-filter: blur(15px)!important;
  background-size: cover;
  background-position: center;
}
.Default {
  background-image: url('../public/images/Default.jpg');
}
.Clouds {
  background-image: url('../public/images/Clouds.jpg');
}
.Clear {
  background-image: url('../public/images/Clear.jpeg');
}
.Rain {
  background-image: url('../public/images/Rain.webp');
}
.Snow {
  background-image: url('../public/images/Snow.jpg');
}
.Extreme {
  background-image: url('../public/images/Extreme.jpg');
}
.Haze {
  background-image: url('../public/images/Haze.webp');
}
.Mist {
  background-image: url('../public/images/Mist.webp');
}
.Sand {
  background-image: url('../public/images/Sand.jpg');
}
.weatherApp {
  width: 100%;
  height: 100%;
  display: flex;
  background-size: cover;
  background-position: center;
  box-shadow: -1px 1px 9px rgb(41, 41, 41);
  /* background-image: inherit; */
}
.main {
  display: flex;
  flex-direction: column-reverse;
  flex: 2;
}
.side {
  flex: 1;
  backdrop-filter: blur(15px);
}
.weatherInfo {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  margin-bottom: 3rem;
  color: rgb(223, 223, 223);

}
.weatherInfo span {
  font-size: 4rem;
  font-weight: 700;
  margin: 0;
  padding-bottom: 1rem;
}
.weatherInfo legend {
  font-size: 2rem;
}
.weatherIcon {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  /* padding-top: 1rem; */
}
.weatherInfo h4 {
  margin: 0;
}
.locationInfo {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: center;
  width: 30%;
  height: 100%;
  padding-bottom: 2rem;
  text-align: center;
}
.locationInfo h3 {
  font-size: 2rem;
  font-weight: 500;
  margin: 0;
}
.locationInfo p {
  margin: 0;
}

.side {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.side button {
  background-color: rgba(255, 166, 0, 0.863);
  outline: none;
  border: none;
  padding-left: 1.5rem;
  padding-right: 1.5rem;
}
.side button:hover {
  opacity: .7;
}
.side input {
  background-color: inherit;
  outline: none;
  border: none;
  border-bottom: 1px solid rgba(216, 216, 216, 0.623);
  ;
  margin-left: 2rem;
  margin-top: 3rem;
  width: 60%;
  padding-bottom: .5rem;
}
.side input::placeholder {
  color: rgb(223, 223, 223);
  font-weight: 200;
}
.searchLocation {
  display: flex;
  justify-content: space-between;
  margin-bottom: 1rem;
}
.weatherDetails {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  padding: 0 2rem;
  height: 65%;
}
.historyList {
  height: 35%;
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  margin-left: 1rem;
  margin-right: 1rem;
}
.historyList ul {
  list-style: none;
  margin: 0;
  height: inherit;

}
.historyList li {
  color: rgb(14, 14, 14);
  opacity: .5;
  /* margin-bottom: 1rem; */
  font-weight: 700;
  font-size: .9rem;
  cursor: pointer;
}
.historyList li:hover {
  opacity: 1;
}
.sideDetails {
  align-content: flex-end;
  height: 100%;
}
@media screen and (max-width: 1100px) {
  .Rain, .Clear, .Snow, .Clouds, .Extreme, .Haze, .Mist {
    height: 100%;
    width: 100%;
    padding: 3rem 7rem;
  }
}
@media screen and (max-width: 900px) {
  .weatherApp {
    flex-direction: column;
  }
  .sideDetails {
    display: flex;
    height: 45vh;
  }
  .weatherInfo {
    margin-bottom: 0;
  }
  .weatherDetails {
    height: 100%;
    width: 55%;
  }
  .searchLocation {
    border-bottom: 1px solid rgba(216, 216, 216, 0.623);
  }
  .searchLocation input {
    border: none;
  }
  .side input::placeholder {
    color: rgb(150, 150, 150);
  }
  .historyList {
    margin-top: 2rem;
  }
  .historyList li {
    margin-bottom: 1rem;
  }
}
@media screen and (max-width: 650px) {
  .Rain, .Clear, .Snow, .Clouds, .Extreme, .Haze, .Mist {
    padding: 2rem 4rem;
  }
  .weatherInfo span {
    font-size: 3rem;
  }
  .locationInfo h3 {
    font-size: 1.5rem;
  }
  .locationInfo p {
    font-size: .9rem;
  }
  .historyList {
    margin-top: 3rem;
  }
}
@media screen and (max-width: 530px) {
  .Rain, .Clear, .Snow, .Clouds, .Extreme, .Haze, .Mist, .Sand, .Default {
    padding: 1rem 2.5rem;
  }
  .weatherDetails {
    padding-right: 1rem;
  }
}